com.google.cloud.dataflow.sdk.runners

## Class DirectPipeline

- java.lang.Object
- - com.google.cloud.dataflow.sdk.Pipeline
  - - com.google.cloud.dataflow.sdk.runners.DirectPipeline

    public class DirectPipeline
    extends Pipeline

A `DirectPipeline` is a `Pipeline` that returns `DirectPipelineRunner.EvaluationResults` when it is `Pipeline.run()`.

### Nested Class Summary

### Nested classes/interfaces inherited from class com.google.cloud.dataflow.sdk.Pipeline

`Pipeline.PipelineExecutionException, Pipeline.PipelineVisitor`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static DirectPipeline` `createForTest()` Creates and returns a new DirectPipeline instance for tests.
`DirectPipelineRunner` `getRunner()` Returns the configured `PipelineRunner`.
`DirectPipelineRunner.EvaluationResults` `run()` Runs the `Pipeline` using its `PipelineRunner`.
`String` `toString()`

### Methods inherited from class com.google.cloud.dataflow.sdk.Pipeline

`addValueInternal, apply, apply, applyTransform, applyTransform, begin, create, getCoderRegistry, getFullNameForTesting, getOptions, setCoderRegistry, traverseTopologically`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### createForTest

    public static DirectPipeline createForTest()

Creates and returns a new DirectPipeline instance for tests.

#### run

    public DirectPipelineRunner.EvaluationResults run()

Description copied from class: `Pipeline`
Runs the `Pipeline` using its `PipelineRunner`.

Overrides:
  `run` in class `Pipeline`

#### getRunner

    public DirectPipelineRunner getRunner()

Description copied from class: `Pipeline`
Returns the configured `PipelineRunner`.

Overrides:
  `getRunner` in class `Pipeline`

#### toString

    public String toString()

Overrides:
  `toString` in class `Pipeline`